Package wx :: Package lib :: Package agw :: Module labelbook :: Class LabelContainer

[frames | no frames]

## Type LabelContainer

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
            ImageContainerBase --+
                                 |
                                LabelContainer

Base class for LabelBook.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name)` Default class constructor.
| ``CanDoBottomStyle`(self)` Allows the parent to examine the children type.
| ``DrawBackgroundBitmap`(self, dc)` Draws a bitmap as the background of the control.
| ``DrawLabel`(self, dc, rect, text, bmp, imgInfo, orientationLeft, imgIdx, selected, hover)` Draws label using the specified dc.
| ``DrawRegularHover`(self, dc, rect)` Draws a rounded rectangle around the current tab.
| ``DrawWebHover`(self, dc, caption, xCoord, yCoord)` Draws a web style hover effect (cursor set to hand & text is underlined).
| ``GetColour`(self, which)` Returns a colour for a parameter.
| ``GetTabAreaWidth`(self)` Returns the width of the tab area.
| ``InitializeColors`(self)` Initializes the colors map to be used for this control.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for LabelContainer.
| ``OnMouseLeaveWindow`(self, event)` Handles the wx.EVT_LEAVE_WINDOW event for LabelContainer.
| ``OnMouseLeftDown`(self, event)` Handles the wx.EVT_LEFT_DOWN event for LabelContainer.
| ``OnMouseLeftUp`(self, event)` Handles the wx.EVT_LEFT_UP event for LabelContainer.
| ``OnMouseMove`(self, event)` Handles the wx.EVT_MOTION event for LabelContainer.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for LabelContainer.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for LabelContainer.
| ``Resize`(self, event)` Actually resizes the tab area.
| ``SetBackgroundBitmap`(self, bmp)` Sets the background bitmap for the control
| ``SetColour`(self, which, color)` Sets a colour for a parameter.
| ``SetTabAreaWidth`(self, width)` Sets the width of the tab area.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0, name='LabelContainer')
(Constructor)

Default class constructor.

Parameters: @param parent - parent window @param id - Window id @param pos - Window position @param size - Window size @param style - possible style INB_XXX

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.__init__`

### CanDoBottomStyle(self)

Allows the parent to examine the children type. Some implementation (such as LabelBook), does not support top/bottom images, only left/right.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.CanDoBottomStyle`

### DrawBackgroundBitmap(self, dc)

Draws a bitmap as the background of the control.

### DrawLabel(self, dc, rect, text, bmp, imgInfo, orientationLeft, imgIdx, selected, hover)

Draws label using the specified dc.

### DrawRegularHover(self, dc, rect)

Draws a rounded rectangle around the current tab.

### DrawWebHover(self, dc, caption, xCoord, yCoord)

Draws a web style hover effect (cursor set to hand & text is underlined).

### GetColour(self, which)

Returns a colour for a parameter.

### GetTabAreaWidth(self)

Returns the width of the tab area.

### InitializeColors(self)

Initializes the colors map to be used for this control.

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for LabelContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnEraseBackground`

### OnMouseLeaveWindow(self, event)

Handles the wx.EVT_LEAVE_WINDOW event for LabelContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseLeaveWindow`

### OnMouseLeftDown(self, event)

Handles the wx.EVT_LEFT_DOWN event for LabelContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseLeftDown`

### OnMouseLeftUp(self, event)

Handles the wx.EVT_LEFT_UP event for LabelContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseLeftUp`

### OnMouseMove(self, event)

Handles the wx.EVT_MOTION event for LabelContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseMove`

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for LabelContainer.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for LabelContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnSize`

### Resize(self, event)

Actually resizes the tab area.

### SetBackgroundBitmap(self, bmp)

Sets the background bitmap for the control

### SetColour(self, which, color)

Sets a colour for a parameter.

### SetTabAreaWidth(self, width)

Sets the width of the tab area.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:03 2009 | http://epydoc.sf.net